Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.parameters
Class ConfigParameterTestCase.ExternallyConfiguredComponent

    java.lang.Object
      org.picocontainer.parameters.ConfigParameterTestCase.ExternallyConfiguredComponent

Enclosing class:
  ConfigParameterTestCase

    public static class ConfigParameterTestCase.ExternallyConfiguredComponent

extends Object

test component to show automatic conversion

Author:
  ko5tik

Constructor Summary
`ConfigParameterTestCase.ExternallyConfiguredComponent(long longValue, String stringParameter, File fileParameter, double doubleParameter)`

Method Summary
`double` | `getDoubleParameter()`
`File` | `getFileParameter()`
`long` | `getLongValue()`
`String` | `getStringParameter()`
`void` | `setDoubleParameter(double doubleParameter)`
`void` | `setFileParameter(File fileParameter)`
`void` | `setLongValue(long longValue)`
`void` | `setStringParameter(String stringParameter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigParameterTestCase.ExternallyConfiguredComponent

    public ConfigParameterTestCase.ExternallyConfiguredComponent(long longValue,
                                                                 String stringParameter,
                                                                 File fileParameter,
                                                                 double doubleParameter)

Method Detail

### getDoubleParameter

    public double getDoubleParameter()

### getFileParameter

    public File getFileParameter()

### getLongValue

    public long getLongValue()

### getStringParameter

    public String getStringParameter()

### setDoubleParameter

    public void setDoubleParameter(double doubleParameter)

### setFileParameter

    public void setFileParameter(File fileParameter)

### setLongValue

    public void setLongValue(long longValue)

### setStringParameter

    public void setStringParameter(String stringParameter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.